package com.propertyManagement.business.service;

import com.propertyManagement.business.domain.WxClock;
import com.propertyManagement.business.domain.vo.WxClockVo;
import com.propertyManagement.business.domain.bo.WxClockBo;
import com.propertyManagement.common.core.page.TableDataInfo;
import com.propertyManagement.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 打卡Service接口
 *
 * @author liushuai
 * @date 2025-05-14
 */
public interface IWxClockService {

    /**
     * 查询打卡
     */
    WxClockVo queryById(Long clockId);

    /**
     * 查询打卡列表
     */
    TableDataInfo<WxClockVo> queryPageList(WxClockBo bo, PageQuery pageQuery);

    /**
     * 查询打卡列表
     */
    List<WxClockVo> queryList(WxClockBo bo);

    /**
     * 新增打卡
     */
    Boolean add(WxClockBo bo);

    /**
     * 新增打卡
     */
    Boolean insertByBo(WxClockBo bo);

    /**
     * 修改打卡
     */
    Boolean updateByBo(WxClockBo bo);

    /**
     * 校验并批量删除打卡信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
